# $Revision: 1.20 $, $Date: 2010/03/02 13:23:17 $
%define pkgname diff-lcs
Summary:	a Ruby port of Algorithm::Diff
Summary(pl.UTF-8):	Port Algorithm::Diff dla języka Ruby
Name:		ruby-%{pkgname}
Version:	1.1.2
Release:	2
License:	GPL
Group:		Development/Libraries
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	60524d29b37f76d56ce835323e324879
Patch0:		%{name}-nogems.patch
URL:		http://raa.ruby-lang.org/project/diff-lcs/
BuildRequires:	rpmbuild(macros) >= 1.484
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
Obsoletes:	ruby-Diff-LCS
Provides:	ruby-Diff-LCS
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Diff::LCS is a port of Algorithm::Diff that uses the McIlroy-Hunt
longest common subsequence (LCS) algorithm to compute intelligent
differences between two sequenced enumerable containers. The
implementation is based on Mario I. Wolczko's Smalltalk version (1.2,
1993) and Ned Konz's Perl version (Algorithm::Diff).

%description -l pl.UTF-8
Diff::LCS to port Algorithm::Diff używający algorytmu najdłuższego
wspólnego podciągu (LCS - longest common subsequence) McIlroya-Hunta
do obliczania inteligentnych różnic między dwoma uporządkowanymi
kontenerami. Implementacja jest oparta na wersji dla Smalltalka
autorstwa Mario I. Wolczko (1.2 z roku 1993) i wersji dla Perla
autorstwa Neda Konza (Algorithm::Diff).

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%package -n htmldiff
Summary:	Tool to find differences in HTML files
Summary(pl.UTF-8):	Narzędzie do znajdowania różnic w plikach HTML
Group:		Applications/Text
Requires:	ruby-text-format >= 0.64

%description -n htmldiff
Tool to find differences in HTML files.

%description -n htmldiff -l pl.UTF-8
Narzędzie do znajdowania różnic w plikach HTML.

%package ldiff
Summary:	Ruby Diff tool
Summary(pl.UTF-8):	Narzędzie Ruby Diff
Group:		Applications/Text

%description ldiff
Ruby Diff tool.

%description ldiff -l pl.UTF-8
Narzędzie Ruby Diff.

%prep
%setup -q -c
%{__tar} xf %{SOURCE0} -O data.tar.gz | %{__tar} xz
find -newer README  -o -print | xargs touch --reference %{SOURCE0}
%patch0 -p1

%{__sed} -i -e 's|/usr/bin/env ruby|%{__ruby}|' bin/*diff

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -r ri/{Array,String}
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir}}

install bin/htmldiff $RPM_BUILD_ROOT%{_bindir}
install bin/ldiff $RPM_BUILD_ROOT%{_bindir}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_rubylibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{ruby_rubylibdir}/*

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Diff

%files -n htmldiff
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/htmldiff

%files ldiff
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ldiff

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-diff-lcs.spec,v $
Revision 1.20  2010/03/02 13:23:17  baggins
- rel 2
- fixed requires

Revision 1.19  2010/03/01 20:54:59  baggins
- up to 1.1.2
- updated build
- added rdoc and ri packages

Revision 1.18  2010/02/27 19:17:36  baggins
- P:ruby-Diff-LCS

Revision 1.17  2010/02/27 17:59:24  baggins
- renamed ruby-Diff-LCS -> ruby-diff-lcs

Revision 1.16  2007/04/05 22:24:49  megabajt
- removed BA: noarch; %{ruby_rubylibdir} isn't arch independent
- release 4

Revision 1.15  2007/04/05 22:02:29  megabajt
- release 3

Revision 1.14  2007/03/08 06:40:05  aredridel
- massive attack: correct ri output path for ruby 1.8.6

Revision 1.13  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.11  2007/02/11 21:36:12  qrczak
- Cosmetics to allow spec_utf8.

Revision 1.10  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.9  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.8  2005/12/27 09:26:51  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.7  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.6  2005/05/11 19:41:02  aredridel
- corrected setup.rb parameters for new version of setup.rb

Revision 1.5  2004/10/31 17:23:11  paladine
- spaces->tabs
- formatting

Revision 1.4  2004/10/18 20:57:05  qboosh
- pl, fixed files attr

Revision 1.3  2004/10/18 07:26:06  aredridel
- fixed permissions on build dir

Revision 1.2  2004/10/18 06:44:09  aredridel
- remove gems code

Revision 1.1  2004/10/18 06:33:03  aredridel
- added
